[résolu] dépendance cassée ffmpeg <-> libx264

Questions et astuces concernant l'installation et la configuration d'archlinux
>)))°>
Hankyu
Messages : 35
Inscription : mer. 16 janv. 2013, 17:18

[résolu] dépendance cassée ffmpeg <-> libx264

Message par >)))°> » mar. 30 janv. 2018, 07:57

Bonjour tout le monde,
à la mise à jour de mon système j'ai un problème de dépendance cassée entre
ffmpeg et libx264 qui empêche la mise à jour de se faire;
recherche des conflits entre paquets...
:: ffmpeg0.10 : installer libx264 (2:152.20171224-1) casse la dépendance « libx264.so=148-64 »
Alors j'ai essayé de me renseigner et il semblerait que ce problème se règle enconstruisant les paquets en chroot. Le problème c'est que je suis un noob et que le wiki n'est pas très explicite à ce sujet. (Dailleurs, les options envoyées à mkarchroot dans le wiki, -I, -r, ne semblent pas exister dans ma version)
Je suis capable de produire en chroot les paquets (.pkg.tar.xz) de ffmpeg et libx264 à partir de leur PKGBUILD, cependant que faut il en faire une fois en être arrivé là? Si j'essaye de les installer avec

Code : Tout sélectionner

pacman -U 
j'ai toujours le même problème de dépendance.

Il y a probablement un truc évident que je ne comprends pas à propos de cette démarche mais là je tourne en rond ; quelqu'un pourrait-il m'aider?
Dernière modification par >)))°> le mar. 30 janv. 2018, 21:30, modifié 1 fois.

Avatar de l’utilisateur
waitnsea
Maître du Kyudo
Messages : 1976
Inscription : jeu. 15 mars 2012, 05:08

Re: [dépendance cassée] ffmpeg <-> libx264

Message par waitnsea » mar. 30 janv. 2018, 10:07

>)))°> a écrit :
mar. 30 janv. 2018, 07:57
Bonjour tout le monde,
à la mise à jour de mon système j'ai un problème de dépendance cassée entre
ffmpeg et libx264 qui empêche la mise à jour de se faire;
recherche des conflits entre paquets...
:: ffmpeg0.10 : installer libx264 (2:152.20171224-1) casse la dépendance « libx264.so=148-64 »
Bonjour,
Tu es sûr de ne pas confondre ffmpeg et ffmpeg-git ?
extra/ffmpeg ne dépend pas de libx264 comme tu peux le voir ici , et s'installe sans problème
LENOVO Y700-341SH i7-6700 3.4gHZ 1 SSD + 2HDD - Arch/KDE - NVidia GeForce GTX 750 T
Sauvegardes quotidiennes de mes système et données par BORG

Avatar de l’utilisateur
Xorg
Maître du Kyudo
Messages : 1930
Inscription : dim. 22 janv. 2012, 19:25
Localisation : Entre le clavier et la chaise.
Contact :

Re: [dépendance cassée] ffmpeg <-> libx264

Message par Xorg » mar. 30 janv. 2018, 12:49

Il parle du paquet ffmpeg0.10 sur AUR.
D'après les commentaires ici, tu peux essayer de désinstaller ce paquet pour mettre à jour ton système. Si tu as besoin de ce paquet, tu pourras le réinstaller après la mise à jour.
Cependant, si ce paquet est une dépendance d'un autre paquet, tu seras contraint de forcer sa désinstallation (pacman -Rdd ffmpeg0.10), et obligé de le réinstaller après la mise à jour pour ne pas casser les paquets qui en dépendent.
Arch Linux x86_64 - Gnome 3 (Wayland)
- Desktop : Intel® Core™ i5 2500K - 8Go de DDR3 - SSD 250Go + 2 HDD 500Go
- Laptop : Intel® Pentiuml® 4405U - 4Go de DDR4 - SSD 120Go
Image AUR___Image Wiki___Image GitHub
Tux est un manchot, et non un pingouin. :marche:

>)))°>
Hankyu
Messages : 35
Inscription : mer. 16 janv. 2013, 17:18

Re: [résolu] dépendance cassée ffmpeg <-> libx264

Message par >)))°> » mar. 30 janv. 2018, 21:31

effectivement, forcer la désinstallation de ffmpeg avant de mettre à jour le système a permis de corriger le problème
merci beaucoup à vous

Répondre